## Retrieve OrgUser

### cURL

```bash
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/users/{id} \
  --header 'Authorization: Bearer <token>'
```

### Python

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/users/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/users/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/users/{id}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api.m3ter.com/organizations/{orgId}/users/{id}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Unirest (Java)

```java
HttpResponse<String> response = Unirest.get("https://api.m3ter.com/organizations/{orgId}/users/{id}")
  .header("Authorization", "Bearer <token>")
  .asString();
```

### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.m3ter.com/organizations/{orgId}/users/{id}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### Response

#### 200

```json
{
  "id": "<string>",
  "version": 123,
  "firstName": "<string>",
  "lastName": "<string>",
  "contactNumber": "<string>",
  "email": "<string>",
  "organizations": [
    "<string>"
  ],
  "firstAcceptedTermsAndConditions": "2023-11-07T05:31:56Z",
  "lastAcceptedTermsAndConditions": "2023-11-07T05:31:56Z",
  "supportUser": true,
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>",
  "permissionPolicy": [
    {
      "action": [],
      "resource": [
        "<string>"
      ]
    }
  ],
  "dtEndAccess": "2023-11-07T05:31:56Z"
}
```

#### 4XX

```json
{
  "message": "<string>"
}
```

#### 5XX

```json
{
  "message": "<string>"
}
```

### Authorizations

Authorization

- **Type**: string 
- **Location**: header 
- **Required**: Yes

m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow.

### Path Parameters

- **id**: string, required — The unique identifier (UUID) of the Organization User to retrieve. Note: The `orgId` path parameter is also required.

### Response Structure

- **id**: string, required — The UUID of the entity.
- **version**: integer<int64> — The version number.
- **firstName**: string — The first name of the user.
- **lastName**: string — The surname of the user.
- **contactNumber**: string — The user's contact telephone number.
- **email**: string — The email address for this user.
- **organizations**: string[] — An array listing the Organizations where this user has access.
- **firstAcceptedTermsAndConditions**: string<date-time> — When this user first accepted m3ter terms and conditions.
- **lastAcceptedTermsAndConditions**: string<date-time> — When this user last accepted m3ter terms and conditions.
- **supportUser**: boolean — Indicates whether this is a m3ter Support user.
- **dtCreated**: string<date-time> — When the user was created.
- **dtLastModified**: string<date-time> — When the user was last modified.
- **createdBy**: string — The user who created this user.
- **lastModifiedBy**: string — The unique identifier of the user who last modified this user record.
- **permissionPolicy**: object[] — An array of permission statements for the user.
- **dtEndAccess**: string<date-time> — When the user's access will end.
